Package org.eclipse.birt.chart.model.data.impl

# Class TriggerImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.data.impl.TriggerImpl

All Implemented Interfaces:
  `Trigger`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class TriggerImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Trigger
An implementation of the model object ' Trigger'.

The following features are implemented:

- `Condition`
- `Action`
- `Trigger Flow`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetAction(Action newAction, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Trigger`
`copyInstance()`
`static final Trigger`
`create(TriggerCondition tc, Action a)`
This convenience method initializes and provides a trigger instance for use NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`Action`
`getAction()`
`TriggerCondition`
`getCondition()`
`TriggerFlow`
`getTriggerFlow()`
`boolean`
`isSetCondition()`
`boolean`
`isSetTriggerFlow()`
`void`
`setAction(Action newAction)`
`void`
`setCondition(TriggerCondition newCondition)`
`void`
`setTriggerFlow(TriggerFlow newTriggerFlow)`
`String`
`toString()`
`void`
`unsetCondition()`
`void`
`unsetTriggerFlow()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getCondition

public TriggerCondition getCondition()

Specified by:
  `getCondition` in interface `Trigger`
Returns:
  the value of the 'Condition' attribute.
See Also:
  - `TriggerCondition`
  - `Trigger.isSetCondition()`
  - `Trigger.unsetCondition()`
  - `Trigger.setCondition(TriggerCondition)`
  - `DataPackage.getTrigger_Condition()`

### setCondition

public void setCondition(TriggerCondition newCondition)

Specified by:
  `setCondition` in interface `Trigger`
Parameters:
  `newCondition` - the new value of the 'Condition' attribute.
See Also:
  - `TriggerCondition`
  - `Trigger.isSetCondition()`
  - `Trigger.unsetCondition()`
  - `Trigger.getCondition()`

### unsetCondition

public void unsetCondition()

Specified by:
  `unsetCondition` in interface `Trigger`
See Also:
  - `Trigger.isSetCondition()`
  - `Trigger.getCondition()`
  - `Trigger.setCondition(TriggerCondition)`

### isSetCondition

public boolean isSetCondition()

Specified by:
  `isSetCondition` in interface `Trigger`
Returns:
  whether the value of the 'Condition' attribute is set.
See Also:
  - `Trigger.unsetCondition()`
  - `Trigger.getCondition()`
  - `Trigger.setCondition(TriggerCondition)`

### getAction

public Action getAction()

Specified by:
  `getAction` in interface `Trigger`
Returns:
  the value of the 'Action' containment reference.
See Also:
  - `Trigger.setAction(Action)`
  - `DataPackage.getTrigger_Action()`

### basicSetAction

public org.eclipse.emf.common.notify.NotificationChain basicSetAction(Action newAction, org.eclipse.emf.common.notify.NotificationChain msgs)

### setAction

public void setAction(Action newAction)

Specified by:
  `setAction` in interface `Trigger`
Parameters:
  `newAction` - the new value of the 'Action' containment reference.
See Also:
  - `Trigger.getAction()`

### getTriggerFlow

public TriggerFlow getTriggerFlow()

Specified by:
  `getTriggerFlow` in interface `Trigger`
Returns:
  the value of the 'Trigger Flow' attribute.
See Also:
  - `TriggerFlow`
  - `Trigger.isSetTriggerFlow()`
  - `Trigger.unsetTriggerFlow()`
  - `Trigger.setTriggerFlow(TriggerFlow)`
  - `DataPackage.getTrigger_TriggerFlow()`

### setTriggerFlow

public void setTriggerFlow(TriggerFlow newTriggerFlow)

Specified by:
  `setTriggerFlow` in interface `Trigger`
Parameters:
  `newTriggerFlow` - the new value of the 'Trigger Flow' attribute.
See Also:
  - `TriggerFlow`
  - `Trigger.isSetTriggerFlow()`
  - `Trigger.unsetTriggerFlow()`
  - `Trigger.getTriggerFlow()`

### unsetTriggerFlow

public void unsetTriggerFlow()

Specified by:
  `unsetTriggerFlow` in interface `Trigger`
See Also:
  - `Trigger.isSetTriggerFlow()`
  - `Trigger.getTriggerFlow()`
  - `Trigger.setTriggerFlow(TriggerFlow)`

### isSetTriggerFlow

public boolean isSetTriggerFlow()

Specified by:
  `isSetTriggerFlow` in interface `Trigger`
Returns:
  whether the value of the 'Trigger Flow' attribute is set.
See Also:
  - `Trigger.unsetTriggerFlow()`
  - `Trigger.getTriggerFlow()`
  - `Trigger.setTriggerFlow(TriggerFlow)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### create

public static final Trigger create(TriggerCondition tc, Action a)
This convenience method initializes and provides a trigger instance for use NOTE: Manually written

Returns:

### copyInstance

public Trigger copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Trigger`